Get SVM transaction context
curl --request GET \
--url https://api.vaults.fyi/beta/svm/transactions/context/{userAddress}/{vaultAddress} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.vaults.fyi/beta/svm/transactions/context/{userAddress}/{vaultAddress}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.vaults.fyi/beta/svm/transactions/context/{userAddress}/{vaultAddress}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"depositSteps": [
{
"actionsUrl": "<string>",
"actions": [],
"available": true
}
],
"redeemSteps": [
{
"actionsUrl": "<string>",
"actions": [],
"available": true
}
],
"lpToken": {
"address": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"balanceNative": "<string>",
"balanceUsd": "<string>"
},
"asset": {
"address": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"balanceNative": "<string>",
"balanceUsd": "<string>",
"unclaimedNative": "<string>",
"unclaimedUsd": "<string>",
"positionValueInAsset": "<string>",
"assetLogo": "<string>"
},
"protocol": {
"name": "<string>",
"product": "<string>",
"version": "<string>",
"protocolLogo": "<string>"
}
}{
"statusCode": 123,
"error": "Bad Request",
"message": "<string>",
"errorId": "<string>"
}{
"error": "Unauthorized",
"message": "An API key is required to access this service. Sign up at https://portal.vaults.fyi/signup to generate a key. We offer a Pay-As-You-Go plan so you only pay for what you use, with no commitments.",
"errorId": "<string>"
}{
"x402Version": 123,
"resource": {
"url": "<string>",
"description": "<string>",
"mimeType": "<string>",
"serviceName": "<string>",
"tags": [
"<string>"
],
"iconUrl": "<string>"
},
"error": "<string>",
"accepts": [
{
"scheme": "exact",
"network": "<string>",
"amount": "<string>",
"payTo": "<string>",
"maxTimeoutSeconds": 123,
"asset": "<string>",
"extra": {
"name": "<string>",
"version": "<string>"
}
}
],
"extensions": {}
}{
"error": "Forbidden",
"message": "This API key has exhausted its available credits. To resume service, please visit https://portal.vaults.fyi/signup to top-up your credits",
"errorId": "<string>"
}{
"error": "Not Found",
"message": "<string>"
}{
"message": "<string>",
"errorId": "<string>"
}{
"statusCode": 123,
"error": "Unprocessable Entity",
"message": "<string>",
"errorId": "<string>"
}{
"error": "Internal Server Error",
"message": "<string>",
"errorId": "<string>"
}{
"statusCode": 123,
"error": "Service Unavailable",
"message": "<string>",
"errorId": "<string>"
}SVM
Get SVM transaction context
Retrieves the complete transactional context for a user interaction with a Solana vault, including current balances and unclaimed assets.
GET
/
beta
/
svm
/
transactions
/
context
/
{userAddress}
/
{vaultAddress}
Get SVM transaction context
Authorizations
Path Parameters
User wallet address. On SVM, this is the wallet account public key.
Pattern:
^[1-9A-HJ-NP-Za-km-z]{32,44}$Vault address. On SVM, this is the vault account public key.
Pattern:
^[1-9A-HJ-NP-Za-km-z]{32,44}$Response
Default Response
Current deposit step
Available options:
deposit, redeem, request-redeem, confirm-redeem, complete-redeem Available deposit steps
Show child attributes
Show child attributes
Current redeem step
Available options:
deposit, redeem, request-redeem, confirm-redeem, complete-redeem Available redeem steps
Show child attributes
Show child attributes
LP token details with balance
Show child attributes
Show child attributes
Asset details with balance and unclaimed amounts
Show child attributes
Show child attributes
Protocol details
Show child attributes
Show child attributes
⌘I

